Subject: Re: [RFC PATCH 01/10] powerpc/chrp: Remove CHRP support

From: Michael Ellerman <[email-masked]>
Date: Tue, 26 Nov 2024 14:49:49 +1100

Segher Boessenkool <[email-masked]> writes:
> On Fri, Nov 15, 2024 at 12:11:04AM +1100, Michael Ellerman wrote:
>> CHRP (Common Hardware Reference Platform) was a standard developed by
>> IBM & Apple for PowerPC-based systems.
>> 
>> The standard was used in the development of some machines but never
>> gained wide spread adoption.
>> 
>> The Linux CHRP code only supports a handful of machines, all 32-bit, eg.
>> IBM B50, bplan/Genesi Pegasos/Pegasos2, Total Impact briQ, and possibly
>> some from Motorola? No Apple machines should be affected.
>> 
>> All of those mentioned above are over or nearing 20 years old, and seem
>> to have no active users.
>
> This was used by all non-IBM 970 systems as well.  The last was SLOF on
> JS20 and JS21, about 20 years ago yes, and I doubt anyone uses it still
> (I don't).

By "this" you mean the CHRP standard?

At least in Linux the "CHRP" platform has always been 32-bit only AFAIK.

My memory is that JS20/JS21 used the "maple" platform, which was a
64-bit only bare-metal platform, possibly it was actually == CHRP, but
we didn't call it that in Linux.

But maybe I'm wrong, you were more involved than me back than, and it
was a long time ago :)

cheers